cdac.medinfo.sdk.hl7282.baselibs.datatypefactory

## Class ComponentItem

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.datatypefactory.ComponentItem

- All Implemented Interfaces:
    IComponentItem

      public final class ComponentItem
      extends java.lang.Object
      implements IComponentItem

  ComponentItem class is the implementation of IComponentItem. ComponentItem represents structure of a Components of a DataType as per defined in HL7 standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentItem()` Default Constructor for ComponentItem.
    `ComponentItem(java.lang.String strFieldName, int intSeq, int iMinLen, int iMaxLen, java.lang.String strCLen, java.lang.String strDataType)` Parameterized constructor for RowDescriptor which initializes different fields of an item.
    `ComponentItem(java.lang.String strFieldName, int intSeq, int iMinLen, int iMaxLen, java.lang.String strCLen, java.lang.String strDataType, int[] intTableNo, boolean bOptional)` Parameterized constructor for RowDescriptor which initializes different fields of an item.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConformanceLength()` retrieves Conformance Length for Component defined by defined HL7 Standard in Segment
    `java.lang.String` | `getDataType()` Retrieves Data Type for Component defined by HL7 standard in segment
    `java.lang.String` | `getFieldName()` Retrieves name of Component
    `int` | `getMaximumLength()` Retrieves Maximum Length for Component defined by HL7 standard in segment
    `int` | `getMinimunLength()` Retrieves Minimum Length for Component defined by HL7 standard in segment
    `int` | `getSequenceNo()` Retrieves sequence number for Component defined by HL7 standard in segment
    `int[]` | `getTableNo()` Retrieves Table number for Component defined by HL7 standard in segment
    `boolean` | `isOptional()` Shows optionality status for Component defined by HL7 standard in segment
    `void` | `setConformanceLength(java.lang.String strCLength)` Set Conformance Length for component defined by Hl7 standard in Segment
    `void` | `setDataType(java.lang.String strDataType)` Sets Datatype for Component defined by HL7 standard in segment
    `void` | `setFieldName(java.lang.String strName)` Sets name of Component
    `void` | `setMaximumLength(int maxLen)` Sets Maximum Length for Component defined by HL7 standard in segment
    `void` | `setMinimumLength(int minLen)` Sets Minimum Length for Component defined by HL7 standard in segment
    `void` | `setOptional(boolean bOptional)` Sets optionality status for Component defined by HL7 standard in segment
    `void` | `setSequenceNo(int intSeq)` Sets sequence number for Component defined by HL7 standard in segment
    `void` | `setTableNo(int[] intTableNo)` Sets Table number for Component defined by HL7 standard in segment

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentItem

          public ComponentItem()

      Default Constructor for ComponentItem.

    - #### ComponentItem

          public ComponentItem(java.lang.String strFieldName,
                       int intSeq,
                       int iMinLen,
                       int iMaxLen,
                       java.lang.String strCLen,
                       java.lang.String strDataType,
                       int[] intTableNo,
                       boolean bOptional)

      Parameterized constructor for RowDescriptor which initializes different fields of an item.
      Parameters:
        `strFieldName` - Name of Field name
        `intSeq` - Integer value of Sequence number of an Item ID
        `intLen` - Integer value of Length of an Item ID
        `iMinLen` - Integer value of Minimum Length of an Item ID
        `iMaxLen` - Integer value of Maximum Length of an Item ID
        `strCLen` - String value of Conformance Length of an Item ID
        `strDataType` - String value of Data type of an Item ID
        `intTableNo` - Integer value of Table number of an Item ID
        `bRepeatable` - Show status of an Item whether repeatable or not
        `bOptional` - Show status of an Item whether optional or not

    - #### ComponentItem

          public ComponentItem(java.lang.String strFieldName,
                       int intSeq,
                       int iMinLen,
                       int iMaxLen,
                       java.lang.String strCLen,
                       java.lang.String strDataType)

      Parameterized constructor for RowDescriptor which initializes different fields of an item.
      Parameters:
        `strFieldName` - Name of Field name.
        `intSeq` - Integer value of Sequence number of an Item ID.
        `iMinLen` - Integer value of Minimum Length of an Item ID
        `iMaxLen` - Integer value of Maximum Length of an Item ID
        `strCLen` - String value of Conformance Length of an Item ID
        `strDataType` - Integer value of Data type of an Item ID.

  - ### Method Detail

    - #### getFieldName

          public java.lang.String getFieldName()

      Retrieves name of Component
      Specified by:
        `getFieldName` in interface `IComponentItem`
      Returns:
        String - name of Component

    - #### setFieldName

          public void setFieldName(java.lang.String strName)

      Sets name of Component
      Specified by:
        `setFieldName` in interface `IComponentItem`
      Parameters:
        `strName` - name of Component

    - #### getSequenceNo

          public int getSequenceNo()

      Retrieves sequence number for Component defined by HL7 standard in segment
      Specified by:
        `getSequenceNo` in interface `IComponentItem`
      Returns:
        int - value of sequence index

    - #### setSequenceNo

          public void setSequenceNo(int intSeq)

      Sets sequence number for Component defined by HL7 standard in segment
      Specified by:
        `setSequenceNo` in interface `IComponentItem`
      Parameters:
        `intSeq` - value of sequence index

    - #### getMinimunLength

          public int getMinimunLength()

      Retrieves Minimum Length for Component defined by HL7 standard in segment
      Specified by:
        `getMinimunLength` in interface `IComponentItem`
      Returns:
        int - value of Minimum length

    - #### setMinimumLength

          public void setMinimumLength(int minLen)

      Sets Minimum Length for Component defined by HL7 standard in segment
      Specified by:
        `setMinimumLength` in interface `IComponentItem`
      Parameters:
        `minLen` - Minimum length value

    - #### getMaximumLength

          public int getMaximumLength()

      Retrieves Maximum Length for Component defined by HL7 standard in segment
      Specified by:
        `getMaximumLength` in interface `IComponentItem`
      Returns:
        int - value of Maximum length

    - #### setMaximumLength

          public void setMaximumLength(int maxLen)

      Sets Maximum Length for Component defined by HL7 standard in segment
      Specified by:
        `setMaximumLength` in interface `IComponentItem`
      Parameters:
        `maxLen` - Maximum length value

    - #### getConformanceLength

          public java.lang.String getConformanceLength()

      retrieves Conformance Length for Component defined by defined HL7 Standard in Segment
      Specified by:
        `getConformanceLength` in interface `IComponentItem`
      Returns:
        String -value of Conformance Length

    - #### setConformanceLength

          public void setConformanceLength(java.lang.String strCLength)

      Set Conformance Length for component defined by Hl7 standard in Segment
      Specified by:
        `setConformanceLength` in interface `IComponentItem`
      Parameters:
        `strCLength` - Conformance Length value

    - #### getDataType

          public java.lang.String getDataType()

      Retrieves Data Type for Component defined by HL7 standard in segment
      Specified by:
        `getDataType` in interface `IComponentItem`
      Returns:
        String name of DataType

    - #### setDataType

          public void setDataType(java.lang.String strDataType)

      Sets Datatype for Component defined by HL7 standard in segment
      Specified by:
        `setDataType` in interface `IComponentItem`
      Parameters:
        `strDataType` - name of Component

    - #### getTableNo

          public int[] getTableNo()

      Retrieves Table number for Component defined by HL7 standard in segment
      Specified by:
        `getTableNo` in interface `IComponentItem`
      Returns:
        int[] - array of table number

    - #### setTableNo

          public void setTableNo(int[] intTableNo)

      Sets Table number for Component defined by HL7 standard in segment
      Specified by:
        `setTableNo` in interface `IComponentItem`
      Parameters:
        `intTableNo` - array of table number

    - #### isOptional

          public boolean isOptional()

      Shows optionality status for Component defined by HL7 standard in segment
      Specified by:
        `isOptional` in interface `IComponentItem`
      Returns:
        boolean - status as true or false

    - #### setOptional

          public void setOptional(boolean bOptional)

      Sets optionality status for Component defined by HL7 standard in segment
      Specified by:
        `setOptional` in interface `IComponentItem`
      Parameters:
        `bOptional` - status as true or false